#include<iostream>
using namespace std;
int main()
{
    bool dalieostanalosamo1=false;
    int a=0,b=0,d=0,e=0,h=1;
    int c[100000];
    int najgolqmo[100000];
    cin>>a;
    while(b!=a+1)
    {
        c[b]=b;

        b=b+1;
    }
    b=0;
    while(dalieostanalosamo1==false)
    {
        dalieostanalosamo1=true;

        h=h+1;
        while(b!=a)
        {
            if(c[b]%h==0)
            {
                c[b]=0;
            }
            b=b+1;
        }e=2;
        b=0;najgolqmo[h]=0;while(e!=a){if(c[e]>najgolqmo[h]){najgolqmo[h]=c[e];}e=e+1;}e=2;

while(e!=a)
        {
            if(c[e]!=0)
            {

                dalieostanalosamo1=false;


            }
  e=e+1;
        }e=2;if(dalieostanalosamo1==true){cout<<najgolqmo[h-1];}
    }


    return 0;
}
